﻿using Syncfusion.XForms.DataForm;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace DataFormAttributes
{
    public class DataFormBehavior : Behavior<ContentPage>
    {
        SfDataForm dataForm;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            dataForm = bindable.FindByName<SfDataForm>("dataForm");
            dataForm.AutoGeneratingDataFormItem += DataForm_AutoGeneratingDataFormItem;
           
        }

        private void DataForm_AutoGeneratingDataFormItem(object sender, AutoGeneratingDataFormItemEventArgs e)
        {
           if(e.DataFormItem != null)
            {
                if(e.DataFormItem.Name == "FirstName")
                {
                    e.DataFormItem.LabelText = Translate(e.DataFormItem.Name);
                    e.DataFormItem.PlaceHolderText = Translate("Enter your name");
                }
            }
        }

        private static string Translate(string text)
        {
            //Place your translation logic here
            return text;
        }
    }

}
